Subject: Re: bug#18759: 24.3.94; Yank from clipboard crashes

From: Jan Djärv <[email-masked]>
Date: Mon, 20 Oct 2014 07:43:34 +0200

Hello.

> 20 okt 2014 kl. 00:44 skrev Donald Tillman <[email-masked]>:
> 
> Some more experiments...
> 
> I just upgraded from Mavericks to Yosemite, and the problem persists there, too.
> 
> I have this in my .emacs file:
> (set-default-font "-apple-monaco-medium-r-normal--10-100-72-72-m-100-mac-roman")
> 
> If I comment that out, or remove the .emacs file entirely, the crash no longer occurs.

Interesting.  It is probably the mac roman font that somehow makes it crash, the soft return in not present in mac roman.
I can't reproduce it, I don't have any mac roman font on my system.

> 
> Specifically, command-c copying a Soft Return from a Pages document, and c-y yanking into an Emacs buffer inserts text that appears to be a thin and tall space.  hexl-mode tells me the yanked-in text is "e280a8".
> 
> Perhaps I'm using an ancient and no longer appropriate way to set the default font a little smaller.

In any case it should not crash.
Can you try

(set-default-font "-*-Monaco-normal-normal-normal-*-10-*-*-*-m-0-iso10646-1")

and see if that still crashes?

	Jan D.